Get an organization member
curl --request GET \
--url https://api.planetscale.com/v1/organizations/{organization}/members/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/members/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"name": "<string>",
"email": "<string>",
"avatar_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"two_factor_auth_configured": true,
"default_organization": {
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"sso": true,
"managed": true,
"directory_managed": true,
"email_verified": true
},
"role": "member",
"created_at": "<string>",
"updated_at": "<string>"
}Organization members
Get an organization member
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_organization
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_organization |
GET
/
organizations
/
{organization}
/
members
/
{id}
Get an organization member
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization
The ID of the user
Response
Returns the membership of the user in the organization
⌘I

